<mat-toolbar class="mat-primary">
  <button mat-button class="sidenav-toggle" (click)="toggleSidenav.emit()">
    <mat-icon>menu</mat-icon>
  </button>
  <span>Klex Contact Manager</span>

  <span class="example-spacer"></span>

  <button mat-button [matMenuTriggerFor]="menu">
    <mat-icon aria-hidden="false">more_vert</mat-icon>
  </button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item (click)="openAddContactDialog()">New Contact</button>
    <button mat-menu-item (click)="toggleTheme.emit()">Toggle theme</button>
    <button mat-menu-item (click)="toggleDirection.emit()">Toggle Direction</button>
  </mat-menu>


</mat-toolbar>
